document.querySelectorAll(".dp-set-value").forEach(
    function(el) {
	el.addEventListener("click", function() {
	    let inputId = this.getAttribute('data-input-id');
	    let value = this.getAttribute('data-value');
	    const myTargetField = document.getElementById(inputId);
	    myTargetField.value = value;
	});
    }
);
document.querySelectorAll(".dp-set-value-on-change").forEach(
    function(el) {
	el.addEventListener("change", function() {
	    let inputId = this.getAttribute('data-input-id');
	    const myTargetField = document.getElementById(inputId);
	    myTargetField.value = this.value;
	});
    }
);
